---
- is_attacked:
   0:
      - is_constructing:
         0:
            - is_warehouse_available:
               0:
                  - is_conservation_researched:
                     1: build_warehouse
            - is_port_available:
               0: build_port
            - is_barracks_available:
               0:
                  - is_professionalarmy_researched:
                     1: build_barracks
            - is_shipyard_availble:
               0:
                  - is_professionalarmy_researched:
                     1: build_shipyard
            - is_warehouse_more_then_eight:
               0:
                  - is_conservation_researched:
                     1: build_warehouse
            - is_safehouse_enough:
               0:
                  - is_espionage_researched:
                     1: build_safehouse
            - is_port_enough:
               0: build_port
